Subject: [clisp-list] open .mem file in emacs (windows)

From: "Daniel Freudenthal" <[email-masked]>
Date: Wed Nov 27 16:16:02 2002

I've just installed CLISP 2.30 with EMACS following the Common LISP Cookbook guidelines. I've ported some code from MCL, and it appears to be working allright, but I'm encountering the following problem: If I dump an image using saveinitmem and try to load it into clisp under EMACS, I get the following error message:

READ from #<INPUT BUFFERED FILE-STREAM CHARACTER #P"C:\\home\\filename.mem" @1>: illegal character #\Null

Backtrace tells me: Character #\u2039 cannot be represented in the character set CHARSET:CP850.

All my functions and variables are now undefined, i.e the file failed to load.

When I load the image in CLISP proper (i.e. not using EMACS), everything works fine. I like to be able to load this file in EMACS, as I may want to add/change code to the image later (and this happens regularly, with the work I'm doing). I realise that this can be done in CLISP by loading the file with the new code, but it just seems rather inconvenient as CLISP itself doesn't quite give you the development environment that EMACS does, and it seems a bit silly to develop the code in an environment different from than the one you'll be using it in.

So, my question is:

Is this
A. Standard behaviour
B. Possible related to my setup
C. A bug

but, most importantly: how do I get around it?

I'm running CLISP 2.30 under winxp, as far as I know, all is set up according to the cookbook guidelines (no changes to EMACS either), and (so far) I'm not encountering any other problems. Any input is appreciated.

Cheers,

Dan.